function Aloc = STIMA_FV_CD(eps, v, Mesh, i, cc)

    Aloc = zeros(3,3);

    f = zeros(3,3);
    d = zeros(3,3);
    vv = zeros(3,3);

    verts = Mesh.Coordinates(Mesh.Elements(i,:),:);

    f(1,2) = norm(0.5*(verts(1,:)+verts(2,:)) - cc(i,:));
    f(1,3) = norm(0.5*(verts(1,:)+verts(3,:)) - cc(i,:));
    f(2,3) = norm(0.5*(verts(2,:)+verts(3,:)) - cc(i,:));
    f = f + f';

    d(1,2) = norm(verts(2,:)-verts(1,:));
    d(1,3) = norm(verts(3,:)-verts(1,:));
    d(2,3) = norm(verts(3,:)-verts(2,:));
    d = d + d';

    vv(1,2) = dot(v(0.5*(verts(1,:)+verts(2,:))), (verts(2,:)-verts(1,:))/d(1,2));
    vv(1,3) = dot(v(0.5*(verts(1,:)+verts(3,:))), (verts(3,:)-verts(1,:))/d(1,3));
    vv(2,3) = dot(v(0.5*(verts(2,:)+verts(3,:))), (verts(3,:)-verts(2,:))/d(2,3));
    vv = vv - vv';

    for i=1:3
        for j=setdiff(1:3,i)
            if abs(vv(i,j)) > 1e-14
                beta = 1/(1 - exp(-vv(i,j)*d(i,j)/eps));
                Aloc(i,j) =             vv(i,j) * beta     * f(i,j);
                Aloc(i,i) = Aloc(i,i) + vv(i,j) * (1-beta) * f(i,j);
            else
                Aloc(i,j) =             eps / d(i,j) * f(i,j);
                Aloc(i,i) = Aloc(i,i) - eps / d(i,j) * f(i,j);
            end
        end
    end
   
end
