function cc = computeCircumcenters(Mesh)

    cc = zeros(size(Mesh.Elements,1), 2);

    for i = 1:size(Mesh.Elements,1)

        verts = Mesh.Coordinates(Mesh.Elements(i,:), :);

        mp1 = 0.5 * (verts(1,:) + verts(2,:));
        mp2 = 0.5 * (verts(2,:) + verts(3,:));

        dir1 = verts(2,:) - verts(1,:);
        dir2 = verts(3,:) - verts(2,:);

        dir1 = [dir1(2), -dir1(1)];
        dir2 = [dir2(2), -dir2(1)];

        p = [dir1', -dir2'] \ (mp2' - mp1');

        cc(i,:) = mp1 + p(1) * dir1;

    end

end
