clear Mesh
Mesh.Coordinates = [0 0; 1 0; 1 1; 0 1];
Mesh.Elements = [1 2 3; 1 3 4];
Mesh.ElemFlag = ones(size(Mesh.Elements,1),1);
Mesh = add_Edges(Mesh);
Mesh = add_Edge2Elem(Mesh);
Loc = get_BdEdges(Mesh);
Mesh.BdFlags = zeros(size(Mesh.Edges,1),1);
Mesh.BdFlags(Loc) = -1;
    Mesh = refine_REG(Mesh);
    for k = 1:5
        Loc = get_BdEdges(Mesh);
        FixedVertices = Mesh.Edges(Loc,:);
        FixedVertices = unique(FixedVertices);
        FixedPos = zeros(size(Mesh.Coordinates,1));
        FixedPos(FixedVertices)=1;
        Mesh = smooth(Mesh,FixedPos);
    end

eps = 1e-6;

v = @(x,varargin)[ones(size(x,1),1), .5-x(:,2)];
u = @(x,varargin)sin(4*pi*x(:,2)).*exp(-x(:,1));
g = @(x,varargin)u(x);
f = @(x,varargin)(((.5-x(:,2)).*cos(4*pi*x(:,2)).*exp(-x(:,1))) - eps*(1+16*pi^2)*u(x));

fprintf('\n##computeCircumcenters');
cc=computeCircumcenters(Mesh)

fprintf('\n##STIMA_FV_CD');
STIMA_FV_CD(eps,v,Mesh,1,cc)

fprintf('\n##assemble_FV_XD');
assemble_FV_XD(Mesh,eps,v,g,f)